/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.config;

import java.net.*;

/**
 * This is the class loader to be used to read configuration information and
 * server-side JavaBeans persisted as XML streams.
 *
 *
 */
public class ConfigClassLoader extends java.net.URLClassLoader {

    /**
     * Creates a new instance of ConfigClassLoader.<br>
     */
    public ConfigClassLoader(URL[] urls, ClassLoader parent) {
        super(urls, parent);
    }

    public String toString() {
        URL[] urls = getURLs();

        StringBuffer sb = new StringBuffer(getClass().getName());
        sb.append(" for: ");
        for (int i=0; ((urls != null) && (i<urls.length)); ++i) {
            sb.append(urls[i].toString()).append(' ');
        }

        return sb.toString();
    }
}
