/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.core;

import com.funambol.framework.core.Sync4jException;

/**
 *
 *
 *
 * @version $Id: RepresentationException.java,v 1.2 2006/08/07 21:05:28 nichele Exp $
 */
public class RepresentationException extends Sync4jException {

    Throwable cause;

    /**
     * Constructs an instance of <code>RepresentationException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public RepresentationException(String msg) {
        super(msg);
    }

    /**
     * Constructs an instance of <code>RepresentationException</code> with the
     * specified detail message and cause.
     *
     * @param msg the detail message.
     * @param cause the cause exception
     */
    public RepresentationException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
