/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.security;

/**
 * This interface contains the constants for security.
 *
 * @version $Id: SecurityConstants.java,v 1.2 2006/08/07 21:09:21 nichele Exp $
 */
public interface SecurityConstants {

    public static final int AUTH_UNAUTHENTICATED     = 0x0001;
    public static final int AUTH_MISSING_CREDENTIALS = 0x0002;
    public static final int AUTH_INVALID_CREDENTIALS = 0x0003;
    public static final int AUTH_AUTHENTICATED       = 0x0004;
    public static final int AUTH_ACCEPTED            = 0x0005;

    public static final int AUTH_RETRY_1             = 0x0020;

    public static final String RESOURCE_SESSION    = "funambol.session"   ;
    public static final String RESOURCE_MANAGEMENT = "funambol.management";
}
