/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.server.store;

/**
 * This class represents a where clause with PreparedStatement-like parameters.
 * The where clause is stored in the <i>where</i> property; parameters are
 * stored in the <i>parameters</i> property.
 * This is just an helper class, thus no getter/setter methods are provided.
 *
 *
 * @version $Id: PreparedWhere.java,v 1.2 2006/08/07 21:09:23 nichele Exp $
 */
public class PreparedWhere {

    public String sql = null;
    public Object[] parameters = null;

}
